Loading...
Searching...
No Matches
hmac.h File Reference
`#include <stdint.h>`

Go to the source code of this file.

## Typedefs

typedef struct AVHMAC | AVHMAC

## Enumerations

enum | AVHMACType { AV_HMAC_MD5 , AV_HMAC_SHA1 , AV_HMAC_SHA224 , AV_HMAC_SHA256 , AV_HMAC_SHA384 , AV_HMAC_SHA512 }

## Functions

AVHMAC * | av_hmac_alloc (enum AVHMACType type)
| Allocate an AVHMAC context.
void | av_hmac_free (AVHMAC *ctx)
| Free an AVHMAC context.
void | av_hmac_init (AVHMAC *ctx, const uint8_t *key, unsigned int keylen)
| Initialize an AVHMAC context with an authentication key.
void | av_hmac_update (AVHMAC *ctx, const uint8_t *data, unsigned int len)
| Hash data with the HMAC.
int | av_hmac_final (AVHMAC *ctx, uint8_t *out, unsigned int outlen)
| Finish hashing and output the HMAC digest.
int | av_hmac_calc (AVHMAC *ctx, const uint8_t *data, unsigned int len, const uint8_t *key, unsigned int keylen, uint8_t *out, unsigned int outlen)
| Hash an array of data with a key.